using System.Collections.Generic;

namespace Perception.RPC.Demo
{
    public class ChannelClass
     {
          private string m_strName;

          public string Name
          {
               get { return m_strName; }
          }

          public ChannelClass(string aName)
          {
               m_strName = aName;
          }
     }

     public class RecorderClass
     {
          private string m_strName;
          private List<ChannelClass> m_Channels = new List<ChannelClass>();

          public List<ChannelClass> Channels
          {
               get { return m_Channels; }
          }

          public void AddChannel(ChannelClass aNewChannel)
          {
               m_Channels.Add(aNewChannel);
          }

          public string Name
          {
               get { return m_strName; }
          }

          public RecorderClass(string aName)
          {
               m_strName = aName;
          }
     }

     public class GroupClass: MainframeClass
     {
          public GroupClass(string aName) : base( aName)
          {
              
          }
     }

     public class MainframeClass
     {
          protected string m_strName;
          protected List<RecorderClass> m_Recorders = new List<RecorderClass>();

          public List<RecorderClass> Recorders
          {
               get { return m_Recorders; }
          }

          public void AddRecorder(RecorderClass aNewRecorder)
          {
               m_Recorders.Add(aNewRecorder);
          }

          public string Name
          {
               get { return m_strName; }
          }

          public MainframeClass(string aName)
          {
               m_strName = aName;
          }

          internal RecorderClass GetRecorder(string aRecorder)
          {
               for (int i = 0; i < m_Recorders.Count; i++)
               {
                    if (m_Recorders[i].Name == aRecorder)
                    {
                         return m_Recorders[i];
                    }
               }
               return null;
          }
     }

     public class GroupsClass
     {
          private List<GroupClass> m_Groups = new List<GroupClass>();

          public List<GroupClass> Groups
          {
               get { return m_Groups; }
          }

          public void AddGroup(GroupClass aNewGroup)
          {
               m_Groups.Add(aNewGroup);
          }

          internal GroupClass GetGroup(string aGroupName)
          {
               for (int i = 0; i < m_Groups.Count; i++)
               {
                    if (m_Groups[i].Name == aGroupName)
                    {
                         return m_Groups[i];
                    }
               }
               return null;
          }
     }

     public class MainframesClass
     {
          private List<MainframeClass> m_Mainframes = new List<MainframeClass>();

          public List<MainframeClass> Mainframes
          {
               get { return m_Mainframes; }
          }

          public void AddMainframe(MainframeClass aNewMainframe)
          {
               m_Mainframes.Add(aNewMainframe);
          }

          internal MainframeClass GetMainframe(string aMainframe)
          {
               for (int i = 0; i < m_Mainframes.Count; i++)
               {
                    if (m_Mainframes[i].Name == aMainframe)
                    {
                         return m_Mainframes[i];
                    }
               }
               return null;
          }
     }


}
