﻿using System.Windows.Forms;

namespace Perception.RPC.Demo
{
    public partial class TriggerModeSelection : Form
     {
          /// <summary>
          /// Trigger mode
          /// </summary>
          /// <remarks>
          /// 0 = Free Running 
          /// 1 = Trigger Only
          /// 3 = Trigger or Stabilizer
          /// 5 = Trigger or Timeout
          /// 7 = Trigger or Stabilizer or Timeout
          /// 8 =  Time Sliced
          /// </remarks>
          public int TriggerMode
          {
               get 
               {
                    if (cbxTriggerMode.SelectedIndex == 0)
                         return 0;
                    if (cbxTriggerMode.SelectedIndex == 1)
                         return 1;
                    if (cbxTriggerMode.SelectedIndex == 2)
                         return 3;
                    if (cbxTriggerMode.SelectedIndex == 3)
                         return 5;
                    if (cbxTriggerMode.SelectedIndex == 4)
                         return 7;
                    if (cbxTriggerMode.SelectedIndex == 5)
                         return 8;
                    return 0; 
               }
               set 
               {
                    if (value == 0)
                    {
                         cbxTriggerMode.SelectedIndex = 0;
                         return;
                    }
                    if (value == 1)
                    {
                         cbxTriggerMode.SelectedIndex = 1;
                         return;
                    }
                    if (value == 3)
                    {
                         cbxTriggerMode.SelectedIndex = 2;
                         return;
                    }
                    if (value == 5)
                    {
                         cbxTriggerMode.SelectedIndex = 3;
                         return;
                    }
                    if (value == 7)
                    {
                         cbxTriggerMode.SelectedIndex = 4;
                         return;
                    }
                    cbxTriggerMode.SelectedIndex = 5;
               }
          }

          public TriggerModeSelection()
          {
               InitializeComponent();
          }
     }
}
