﻿using System.ComponentModel;
using System.Windows.Forms;
using System.Drawing;

namespace Perception.RPC.Demo
{
     public partial class GreenLED : Gradientpanel
     {
          private bool m_bON = false;

          [Browsable(true), Category("Appearance Extended"), Description("Switch on or off the green LED")]
          public bool On
          {
               get
               {
                    return m_bON;
               }
               set
               {
                    m_bON = value;
                    Status(m_bON);
                    
               }
          }

          public GreenLED()
          {
               InitializeComponent();
               GreenLedInit();
              
          }

          public GreenLED(IContainer container)
          {
               container.Add(this);

               InitializeComponent();
               GreenLedInit();
          }

          private void GreenLedInit()
          {
               this.Border3DStyle = Border3DStyle.Flat;
               this.GradientStyle = eGradientPanelStyle.Eliptical;
               this.BackgroundImageLayout = ImageLayout.Stretch;
               Status(m_bON);
          }


          private void Status(bool bOn)
          {
               if (bOn)
               {
                    this.PageEndColor = Color.DarkGreen;
                    this.PageStartColor = Color.LawnGreen;
               }
               else
               {
                    this.PageEndColor = Color.Green;
                    this.PageStartColor = Color.FromArgb(((int)(((byte)(28)))), ((int)(((byte)(57)))), ((int)(((byte)(8)))));
               }
               Invalidate();
          }
     }
}
